Skip to content

List Databricks catalogs

GET
/api/v1/catalogs
curl --request GET \
--url https://example.com/api/v1/catalogs

Lists all accessible catalogs in the Databricks workspace.

max_results
Any of:
integer
<= 1000
page_token
Any of:
string
X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
CatalogListResponse

Response for listing catalogs.

object
catalogs
required
Catalogs
Array<object>
CatalogResponse

Databricks catalog information.

object
name
required
Name
string
comment
Any of:
string
owner
Any of:
string
created_at
Any of:
string
updated_at
Any of:
string
health_status
Any of:
string
table_count
Any of:
integer
schema_count
Any of:
integer
access_level
Any of:
string
count
required
Count
integer
next_page_token
Any of:
string
Example
{
"catalogs": [
{
"health_status": "unknown",
"access_level": "full"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}